/*
 * David Muller; Germán Alfaro
 * davehmuller@gmail.com; alfaro.germanevera@gmail.com
 */
#ifndef SEAPHOX_MFET_MICROCAT_H_
#define SEAPHOX_MFET_MICROCAT_H_



/*
 * dbgUart.c function prototypes:
 */
void Init_DbgUart(void);
void open_DbgUart(void);
void poll_DbgUart(void);
void close_DbgUart(void);


void parse_DbgUart_Data(void);

extern void Dbg_UARTConfig(uint32_t ui32Port, uint32_t ui32Baud,
                            uint32_t ui32SrcClock);
extern int Dbg_UARTgets(char *pcBuf, uint32_t ui32Len);
extern unsigned char Dbg_UARTgetc(void);
extern int Dbg_UARTwrite(const char *pcBuf, uint32_t ui32Len);
extern int Dbg_UARTPeek(unsigned char ucChar);
extern void Dbg_UARTFlushTx(bool bDiscard);
extern void Dbg_UARTFlushRx(void);
extern int Dbg_UARTRxBytesAvail(void);
extern int Dbg_UARTTxBytesFree(void);
extern void Dbg_UARTEchoSet(bool bEnable);

extern int Dbg_putc(const char c);

#endif /* SEAPHOX_MFET_MICROCAT_H_ */



